Subject: bug#15961: closed (Re: bug#15961: 24.3.50; display-buffer-at-bottom not at bottom)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Nov 2013 01:21:02 +0000

Your bug report

#15961: 24.3.50; display-buffer-at-bottom not at bottom

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15961: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15961
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15961: 24.3.50; display-buffer-at-bottom not at bottom
From: Juri Linkov <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: Stefan Monnier <[email-masked]>, [email-masked]
Date: Thu, 28 Nov 2013 02:55:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>> I think we're miscommunicating.  I was pointing out that binding
>> split-width-threshold in display-buffer-at-bottom is OK because it can
>> still be overridden by the user.
>
> OK.  Committed as revision 115229 on trunk.

Thank you.  I confirm that display-buffer-at-bottom works now
exactly like its name suggests in all window configurations.

Subject: 24.3.50; display-buffer-at-bottom not at bottom
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Sun, 24 Nov 2013 01:39:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug report is followup from
http://lists.gnu.org/archive/html/emacs-devel/2013-11/msg00773.html

In emacs -Q that is wide enough to contain two side-by-side windows
in the *scratch* buffer evaluate:

(add-to-list 'display-buffer-alist '("\\*Completions\\*" display-buffer-at-bottom (nil)))

(display-buffer (get-buffer-create "*Completions*"))

The *Completions* window is displayed to the right from the *scratch* window,
not below.